Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_block_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | self
VALUE | klass
VALUE * | ep
rb_iseq_t * | iseq
VALUE | proc

## Detailed Description

Definition at line 442 of file vm_core.h.

## Field Documentation

VALUE* rb_block_struct::ep

Definition at line 445 of file vm_core.h.

Referenced by check_env(), invoke_block_from_c(), rb_fiber_start(), rb_hash_proc(), rb_vm_make_proc(), rb_vmdebug_proc_dump_raw(), thread_start_func_2(), vm_cref_push(), vm_invoke_block(), vm_make_env_each(), vm_set_eval_stack(), and vm_yield_with_cfunc().

rb_iseq_t* rb_block_struct::iseq

Definition at line 446 of file vm_core.h.

Referenced by collect_local_variables_in_env(), env_alloc(), env_mark(), eval_string_with_cref(), invoke_block_from_c(), iseq_s_of(), m_core_set_postexe(), proc_binding(), proc_call(), proc_mark(), proc_to_s(), rb_dvar_defined(), rb_hash_proc(), rb_iseq_compile_with_option(), rb_iseq_new_main(), rb_iterate(), rb_local_defined(), rb_mod_define_method(), rb_proc_get_iseq(), rb_proc_min_max_arity(), rb_vm_make_proc(), vm_caller_setup_args(), vm_cref_push(), vm_invoke_block(), vm_make_env_each(), and vm_yield_with_cfunc().

VALUE rb_block_struct::klass

Definition at line 444 of file vm_core.h.

Referenced by rb_mod_define_method(), rb_vm_invoke_proc(), rb_vm_make_proc(), vm_invoke_block(), vm_set_eval_stack(), vm_yield(), and vm_yield_with_cref().

VALUE rb_block_struct::proc

Definition at line 447 of file vm_core.h.

Referenced by env_mark(), invoke_block_from_c(), m_core_set_postexe(), proc_dup(), proc_mark(), proc_new(), rb_iterate(), rb_mod_refine(), rb_vm_make_proc(), vm_callee_setup_arg_complex(), vm_caller_setup_args(), vm_invoke_block(), vm_make_proc_from_block(), vm_yield_setup_block_args(), and vm_yield_with_cfunc().

VALUE rb_block_struct::self

Definition at line 443 of file vm_core.h.

Referenced by env_mark(), eval_string_with_cref(), proc_mark(), rb_vm_invoke_proc(), rb_vm_make_proc(), rb_vmdebug_proc_dump_raw(), rb_yield_refine_block(), vm_invoke_block(), vm_make_env_each(), vm_set_eval_stack(), vm_yield(), vm_yield_with_cref(), and yield_under().

The documentation for this struct was generated from the following file:

- vm_core.h